import React from 'react'
import { jsx as _jsx } from "react/jsx-runtime";

export default function createSvgIcon(path, displayName) {
  function Component({
    fill = 'currentColor',
    color = 'currentColor',
    width = '24px',
    height = '24px',
    viewBox = '0 0 24px 24px'
  }, ref) {
    return /*#__PURE__*/_jsx('svg', {
      children: path,
      fill,
      color,
      width,
      height,
      viewBox,
      ref
    });
  }
  Component.displayName = `${displayName}Icon`;
  Component.muiName = `${displayName}Icon`;
  return /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Component));
}